Errore Disinst / Inst synfigstudio

Home Page Forum utenti Errore Disinst / Inst synfigstudio

  • Questo topic ha 12 risposte, 2 partecipanti ed è stato aggiornato l'ultima volta 8 anni fa da bottye.
Visualizzazione 12 filoni di risposte
  • Autore
    Articoli
    • #21418
      bottye
      Partecipante

      Ciao,

      precedentemente, come da richiesta d’aiuto :

      OM su Oracle Virtual Machine (da Community)

      ho installato da RPM ufficiale synfig, ma non parte nulla.

      Dopo le indicazioni di Silvan ho provato a rimuovere il vecchio pacchetto per reinstallarlo ma ottengo l’errore in allegato.

      Come posso fare?

      E’ sufficiente cancellare i files come da 2°img?

      Apper, così facendo, rimane pulito?

      Grazie

      E-

    • #27864
      Silvan
      Amministratore del forum

      Ho corretto l’errore che rende impossibile la rimozione del pacchetto (in realtà di qualunque pacchetto) utilizzando il frontend Apper. Pertanto la funzionalità verrà ripristinata a seguito di un aggiornamento di sistema che include il pacchetto PackageKit entro le prossime ore. Grazie per la segnalazione.

    • #27865
      bottye
      Partecipante

      Ciao,

      ho provato in tutti i modi a disinstallare synfigstudio, ma ne fuori Apper né in Apper ci riesco.

      In Apper dice :

      Error Type:

      Error Value: list index out of range

      File : /usr/share/PackageKit/helpers/smart/smartBackend.py, line 1452, in

      main()

      File : /usr/share/PackageKit/helpers/smart/smartBackend.py, line 1443, in main

      backend.dispatcher(sys.argv[1:])

      File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 710, in dispatcher

      self.dispatch_command(args[0], args[1:])

      File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 636, in dispatch_command

      autoremove = _text_to_bool(args[3])

      Fuori Apper, facendo:

      Mamba (Mnu Start)

      Cerca[synfig]

      mnuTastoDx|Disinstalla

      KDEINIT plasma-desktop…

      individua synfigstudio

      errore:

      Error Type:

      Error Value: list index out of range

      File : /usr/share/PackageKit/helpers/smart/smartBackend.py, line 1452, in

      main()

      File : /usr/share/PackageKit/helpers/smart/smartBackend.py, line 1443, in main

      backend.dispatcher(sys.argv[1:])

      File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 721, in dispatcher

      self.dispatch_command(args[0], args[1:])

      File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 636, in dispatch_command

      autoremove = _text_to_bool(args[3])

      poi sta appeso e nn fa nulla.

      Ho provato ad aggiornare

      – i Pacchetti (tra l’altro non trovo FireFox!!!)

      – il Sistema che mi risulta non dia errori e aggiorni.

      – i Componenti che NON funziona dicendomi che non può contattare http://www.O..M….org ret 8

      e rimane aperto senza errori ulteriori con la barra di avanzamento che prosegue all’infinito.

      Le impostazioni del sistema mi risultano corrette per la conf proxy.

      Ricordo solo che avevo fatto una installazione “sporca” con un RPM non x OM 🙁

      Grazie per l’aiuto!

      E-

      [attachment=9116,247]

    • #27866
      Silvan
      Amministratore del forum

      Ciao, (dal post precedente riannoto che stai usando la versione devel a 64bit).

      Per quanto riguarda la rimozione del pacchetto ho di nuovo verificato che il problema mi risulta risolto con l’aggiornamento di PackageKit già citato nel mio precedente post. Potresti verificare che la versione di PackageKit sia 0.8.11-2mamba. Comunque alternativamente puoi usare smart che trovi nel menù dei programmi oppure da un terminale:

      sudo smart remove synfigstudio

      firefox, l’ho appena installato sulla x86_64, mi risulta essere disponibile anche se c’è da fare una modifica. firefox in openmamba è comunque fermo alla versione 17, in quanto (unico software che conosca) richiede per la compilazione una macchina con 8GB fisici per la quale sono in attesa di risorse finanziarie.

      Ho fatto una prima verifica dell’errore (8) che riscontri. A prima vista il supporto per il proxy è disponibile ma devo verificare meglio in base al numero dell’errore.

      Ho il dubbio che l’aggiornamento del sistema non ti funzioni del tutto silenziosamente causa proxy. Hai visto se siano stati fatti degli aggiornamenti negli ultimi giorni? (sulla devel dovresti riceverne ogni giorno). E oltre a firefox hai visto che per caso il problema non sia che non vedi nessun pacchetto tranne quelli che hai installato?

    • #27867
      bottye
      Partecipante

      Grazie.

      Il PK è il .1 e non il 2, come lo aggiorno/aggiungo senza far casotti?

      Rimozione synfigstudio ok 🙂 con smart da interfaccia,

      ora, hai detto nel post precedente:

      il pacchetto synfigstudio è disponibile per l’installazione in devel.

      🙁 Non lo trovo.

      lancio Apper, Aggiungi rimuovi… inserisco synfigstudio e cerca: nulla…

      Ho provato con SMART ma nulla…

      Ho tentato di aggiornare i canali (che nn so che siano) e mi restituisce :

      Impossibile acquisire le informazioni per “branch of devel repository containing big games [unstable]”:

      http://www.openmamba.org/pub/openmamba/devel-games/base/release: The requested URL returned error: 407

      e poi

      Impossibile acquisire le informazioni per “base development repository [unstable]”:

      http://www.openmamba.org/pub/openmamba/devel/base/release: The requested URL returned error: 407

      Mi sa che sia proprio quello il problema, non vedo aggiornamenti se non quanto già installato.

      Anche se non dà errori.

      Aggiorna il sistema mi dice che è aggiornato dopo aver frullato un pò…

      forse per quel motivo non trovo alcuna versione di FireFox.

      Grazie

      E-

    • #27868
      Silvan
      Amministratore del forum

      Il problema dev’essere senz’altro nelle funzioni di aggiornamento tramite proxy, a causa di questo non sono mai state neanche scaricate le liste dei pacchetti disponibili sul server per cui oltre a non aggiornare non vedi alcun pacchetto disponibile per l’installazione.

      Mi puoi dire come hai configurato il proxy (ovviamente mascherando indirizzi ed eventuali username e password di autenticazione).

      Grazie.

    • #27869
      bottye
      Partecipante

      Ciao,

      è un proxy.pac:

      Sotto

      Impostazioni di Sistema | Impostazioni di rete

      URL di configurazione automatica dei proxy:

      http://www.domain.com/pac/proxy_area.pac

      che mi risulta richiami tra le altre cose…

      function Proxy_area()

      {

      return “PROXY server.domain.com:8080”;

      }

      Grazie

      E-

    • #27870
      Silvan
      Amministratore del forum

      mmm mi sa che il problema può essere nel supporto del proxy pac per i tool di aggiornamento, puoi provare a vedere se cambia qualcosa impostando il proxy manualmente?

      Dal modulo di configurazione del Proxy, `Usa la configurazione dei proxy specificata manualmente” e poi:

      Proxy HTTP: http://server.domain.com
      Porta: 8080
      X su "Usa questo server proxy per tutti i protocolli"

    • #27871
      bottye
      Partecipante

      Ciao,

      no buono, non cambia nulla.

      Ricordo solo che uso l’autenticazione

      dominiouser

      password

      nn so se vi possano essere differenze con linux tra e / in questo caso…

      Comunque alla rete via http con Konq accedo (ti sto scrivendo 😉 )

      Grazie

      E-

    • #27872
      Silvan
      Amministratore del forum

      Puoi provare il suggerimento di nitrotnt nell’altro post, qui modificato per supportare il dominio:

      A) apri un terminale

      B) digita il seguente comando sostituendo con i tuoi dati per il proxy:

      sudo smart config --set http-proxy="http://dominio\nomeutente:password@nomeproxy:portaproxy"

      C) verifica il corretto funzionamento con

      sudo smart update

      Se funziona andrei ad impostare la stessa stringa nelle impostazioni manuali del proxy come spiegato ieri.

    • #27873
      bottye
      Partecipante

      Grandi!!!

      Funziona 🙂 !!!

      con solo un paio di correzioni 1 solo tra dominio e user e il nome proxy completo di dominio.com.

      http://dominiouser:password@nomeproxy.dominio.com | 8080

      Sta scaricando alla GRANDE!!!

      E-

    • #27874
      Silvan
      Amministratore del forum

      Bene! Solo una cosa prima di riavviare che mi è venuta in mente, siccome starai aggiornando il kernel e dai post precedenti probabilmente usi VirtualBox con l’ultima modifica fatta per il supporto video: assicurati che il pacchetto VirtualBox-vboxguest sia installato e se no dovresti installarlo.

    • #28005
      bottye
      Partecipante

      Grazie,

      quella (VirtualBox-vboxguest) in Apper risulta, ma…

      è normale al riavvio vedere una videata completamente nera cpare nn faccia nulla?

      Che fo?

      Spengo la macchina virtuale o attendo ancora… saran 5′ che è così.

      No, no ho toppato io, sta lavorando ora che ho visto come funzia…

      Popup con conferma installazione 🙂

      Grazie

      P.S. ho problemi con inst degli addon di VBx, ma per quello apro un’altro post.

      E-

Visualizzazione 12 filoni di risposte
  • Devi aver eseguito l’accesso per poter rispondere a questa discussione.